Bug 1197163 - [RFE] Add REST APIs to provide unauthenticated version information on the "/" URL for Ceilometer and Swift.
Summary: [RFE] Add REST APIs to provide unauthenticated version information on the "/"...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-gnocchi
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
high
low
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Julien Danjou
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-27 15:48 UTC by Aaron Thomas
Modified: 2017-05-17 19:22 UTC (History)
15 users (show)

Fixed In Version: openstack-gnocchi-3.1.0-0.20170121210255.d06792b.el7ost, openstack-aodh-3.1.0-0.20170121010948.a80e26b.el7ost
Doc Type: Enhancement
Doc Text:
The Time Series Database as a Service (gnocchi) and Aodh API endpoints now expose a `/healthcheck` HTTP endpoint on the REST API. Requesting this endpoint allows you to check the status of the service, and does not require authentication.
Clone Of:
Environment:
Last Closed: 2017-05-17 19:22:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Aaron Thomas 2015-02-27 15:48:11 UTC
Description of problem:
-----------------------------------------
The customer is configuring a Load Balancer in front of the OpenStack APIs. They have expressed interest in a consistent URL answered by the python process that they could use for the basic health check.

Customer Case Request Info:
-----------------------------------------

Subject	
-----------------------------------------
RFE: add "/" version information to the Object Storage and Telemetry APIs

Description	
-----------------------------------------
We are putting a Load Balancer in front of the OpenStack APIs.   As such it would be extremely useful to have a consistent URL which is being answered by the python process that we could use for the basic health check.

Most of the REST APIs provide unauthenticated version information on the "/" URL.   The Ceilometer and Swift APIs currently don't provide such an interface and we would like to request that it be added.

Comment 7 Nick Barcet 2016-04-07 12:46:32 UTC
Setting it for OSP10 target.

Comment 8 Julien Danjou 2016-06-08 13:22:08 UTC
Mark, what about using the healthcheck middleware?

http://docs.openstack.org/developer/oslo.middleware/healthcheck_plugins.html

Comment 9 Mark Chappell 2016-06-08 13:24:02 UTC
Looks perfect, it'd be really good if that was set up in the default configuration.

Comment 10 Julien Danjou 2016-06-08 13:27:23 UTC
I'm taking the point of adding that by default in the telemetry stack then. :)

Comment 11 Irina Petrova 2016-07-25 11:15:28 UTC
How's it going, Julien? Any luck so far? :}

Best,
Irina

Comment 12 Julien Danjou 2016-07-25 12:02:03 UTC
Irina, this is still in our backlog, and I think it should be fixed in the coming month upstream. So it should be ok with OSP 10. Fingers crossed.

Comment 14 Julien Danjou 2016-10-03 11:45:10 UTC
Hi Irina,

No, this actually slipped and is not enabled by default in Telemetry projects (yet) and is still on our backlog. :(

Cheers,

jd

Comment 15 Irina Petrova 2016-10-03 13:12:12 UTC
I see Julien. 

Thanks for the prompt reply.

Best,
Irina

Comment 16 Julien Danjou 2016-12-09 14:18:55 UTC
I've started to send patches to a oslo.middleware and Gnocchi.

Comment 17 Julien Danjou 2017-01-18 18:01:30 UTC
All the patche have been merged and this should be available in OSP11 for Aodh and Gnocchi. Ceilometer API being deprecated, it does not have this feature.

Comment 20 Scott Lewis 2017-01-27 14:46:27 UTC
(In reply to Julien Danjou from comment #17)
> All the patche have been merged and this should be available in OSP11 for
> Aodh and Gnocchi. Ceilometer API being deprecated, it does not have this
> feature.

Can you add in the fixed in version field for these patches?

Comment 25 errata-xmlrpc 2017-05-17 19:22:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.